; Copyright 1999-2005, C-Media Inc. 
; C-MEDIA USB Audio Device.

[VERSION]
CMEDIA=115

[CMEDIA]
;;CM101/102 ID
PCI\VEN_0D8C&DEV_0001&SUBSYS_00000000 = WDM_CMUDAUDEF

;;CMI108 ID
PCI\VEN_0D8C&DEV_000C&SUBSYS_00000000 = WDM_CMUDAUDEF

;;CMI106 ID
PCI\VEN_0D8C&DEV_0006&SUBSYS_00000000 = WDM_CMUDAUDEF

[WDM_CMUDAUDEF]
;;Default setting

[WDM_CMUDAU1]
DisableSpdifIn        =0x00000001
;;disable S/PDIF-IN function

[WDM_CMUDAU2]
DisableSpdifOut       =0x00000001
;;disable S/PDIF-OUT function

[WDM_CMUDAU3]
AvailableRate         =48000  
SpDigitalOut          =0x00000001
;;48k output 

[WDM_CMUDAU4]
AvailableRate         =44100
SpDigitalOut          =0x00000002
;;44.1k output 

[WDM_CMUDAU5]
DisableCommSpk        =0x01
DisableXearSpk        =0x01
;;disable normal Headphone

[WDM_CMUDAU6]
DisableCommSpk        =0x7e
DisableXearSpk        =0x7e
;;show HP 

[WDM_CMUDAU7]
DisableCommSpk        =0x7c
DisableXearSpk        =0x7c
;;show HP,2ch h 

[WDM_CMUDAU8]
DisableCommSpk        =0x78
DisableXearSpk        =0x78
;;show HP,2,4ch 

[WDM_CMUDAU9]
DisableCommSpk        =0x70
DisableXearSpk        =0x70
;;show HP,2,4,6ch

[WDM_CMUDAU10]
KaraokeSupport        =0x00000000
MagicVoiceSupport     =0x00000000
;;hide Karaoke tag

[WDM_CMUDAU11]
DisableRecord         =0x00000001
;;hide Recording functoin

[WDM_CMUDAU12]
MicBoost              =0x00000001
;;default set mic boost
;;==================================================
[OtherSetting]
BassRedirect          =0x00000001
DisableLineIn         =0x00000001
DisableMicBoost       =0x00000001
EnableXear3D          =0x00000000
HideBassEnhance       =0x00000001
HideLRExchange        =0x00000001
HideSideRearExchange  =0x00000001
KeyShiftLevel         =0x00000000
MicMute               =0x00000001
NeedMuteLED           =0x00000001
SendSurroundToBackIn6ChannelMode = 0x00000001
SetGPIO0ToHighWhenDriverInit     = 0x00000001
UseI2SFunction        =0x00000001
VocalCancelLevel      =0x00000000
;;customization phone jack
PANELSTYLE0           =0X00000001
User_NoneCPL          =0x01
User_HideMixer        =0x00000001
User_NoneCPL          =0X00000001
;;==================================================
;;[New Update]v.115/2005.06.09/since UDA042.10
MaxXearChannels = 0x00000006 ---> Virtual Speaker 5.1
MaxXearChannels = 0x00000008 ---> Virtual Speaker 7.1
;;==================================================
;;[New Update]v.114/2005.05.25/since UDA042.9
User_HidWatcher       =1 (enable)
User_HidWatcher       =2 (disable)
User_SpectrumMode     =1 (YES)
User_SpectrumMode     =0 (no)
;;==================================================
RoomSize              =0x00000002
;;==================================================
;Environment default setting
GlobalReverb          =0x00000008,0x00000001
GlobalReverb          =0x00000004,0x00000001
GlobalReverb          =0x00000017,0x00000001
GlobalReverb          =0x0000001b,0x00000001
;;==================================================
;;for speaker channel default setting
;;default set HP
SpeakerConfig         =0x00000001
;;default set 2CH
SpeakerConfig         =0x00000004
;;default set 4CH
SpeakerConfig         =0x00000003
;;default set 5.1CH
SpeakerConfig         =0x00000006
;;default set 8CH
SpeakerConfig         =0x00000007
;;==================================================
;;Loundess volume setting (db*65536)
WaveOutVolL           =0x00000000
WaveOutVolR           =0x00000000
RearVolumeL           =0x00000000
RearVolumeR           =0x00000000
CenterLfeVolL         =0x00000000
CenterLfeVolR         =0x00000000
BackVolL              =0x00000000
BackVolR              =0x00000000
;;==================================================
;;Mixer Volume setting (db*65536)
MasterVolumeL         =0x00000000
MasterVolumeR         =0x00000000
LineVolL              =0x00000000
LineVolR              =0x00000000
MicVoL                =0x00000000
;;==================================================
;;set Mic and Line-in volume to 22.5dB
InputMicVol           = 0x00168000
InputLineInVolL       = 0x00168000
InputLineInVolR       = 0x00168000
;;==================================================
;;Use for Enable Record Low Pass Filter Lower bound When All volume is max,ex. -30 
RecLpfThMax           = 0xffffffe2

;;Use for Enable Record Low Pass Filter Lower bound When All volume is min,ex -48
RecLpfThMin           = 0xffffffb0

;;Use for Enable Record Low Pass Filter bound range, ex 3
RecLpfThUpperLowerRange = 3
;;==================================================
;;;TOP NEWS
BassEnhancement = 0x00000001
HideExtendFunction
DOLBY_ENCODER = 0x00000001;
DOLBY_HEADPHONE = 0x00000002;
DOLBY_VIRTUAL_SPEAKER = 0x00000004;
DOLBY_PRO_LOGIC_IIX = 0x00000008;
DTS_ENCODER = 0x00000010;
DTS_NEO = 0x00000020;





